# Class CADBLocationPaths

java.lang.Object
com.io7m.cardant.database.postgres.internal.CADBLocationPaths

public final class CADBLocationPaths extends Object
Functions to fetch location paths from the database.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.jooq.Field<String[]>`
  `LOCATION_PATH_NAME`
  The location path field resulting from the location path function.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.jooq.Select<org.jooq.Record1<String[]>>`
  `locationPath(org.jooq.DSLContext context, CALocationID locationID)`
  Find the path for the given location.
  `static org.jooq.Select<org.jooq.Record1<String[]>>`
  `locationPathFromColumn(org.jooq.DSLContext context, org.jooq.Field<UUID> locationID)`
  Find the path for the given location.
  `static org.jooq.Field<String[]>`
  `locationPathFromColumnNamed(org.jooq.DSLContext context, org.jooq.Field<UUID> locationID)`
  Find the path for the given location.
  `static org.jooq.Field<String[]>`
  `locationPathNamed(org.jooq.DSLContext context, CALocationID locationID)`
  Find the path for the given location.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOCATION_PATH_NAME

    public static final org.jooq.Field<String[]> LOCATION_PATH_NAME
    The location path field resulting from the location path function.

- ## Method Details

  - ### locationPath

    public static org.jooq.Select<org.jooq.Record1<String[]>> locationPath(org.jooq.DSLContext context, CALocationID locationID)
    Find the path for the given location.
    Parameters:
      `context` - The context
      `locationID` - The location
    Returns:
      The resulting path

  - ### locationPathFromColumn

    public static org.jooq.Select<org.jooq.Record1<String[]>> locationPathFromColumn(org.jooq.DSLContext context, org.jooq.Field<UUID> locationID)
    Find the path for the given location.
    Parameters:
      `context` - The context
      `locationID` - The location
    Returns:
      The resulting path

  - ### locationPathNamed

    public static org.jooq.Field<String[]> locationPathNamed(org.jooq.DSLContext context, CALocationID locationID)
    Find the path for the given location.
    Parameters:
      `context` - The context
      `locationID` - The location
    Returns:
      The resulting path

  - ### locationPathFromColumnNamed

    public static org.jooq.Field<String[]> locationPathFromColumnNamed(org.jooq.DSLContext context, org.jooq.Field<UUID> locationID)
    Find the path for the given location.
    Parameters:
      `context` - The context
      `locationID` - The location
    Returns:
      The resulting path